For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • GETCheck if a transaction alert exists
      • POSTAdd new transaction alert(s)
      • PUTUpdate transaction alerts in batch
Contact Us
LogoLogo
API ReferenceTransaction Alerts

Add new transaction alert(s)

POST
https://api.cable.tech/v2/transaction_alert
POST
/v2/transaction_alert
$curl -X POST https://api.cable.tech/v2/transaction_alert \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "alert_id": "alert-9f8b7c6d5e4a3b2c1d0e",
> "timestamp": "2024-01-15T09:30:00Z"
> }
>]'
1{
2 "success": true,
3 "write_count": 1,
4 "message": "Transaction alert successfully added.",
5 "organization_id": "org-1234567890abcdef"
6}
Was this page helpful?
Previous

Update transaction alerts in batch

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Transaction alert data to add.
alert_idstringRequired
Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
statusenumRequired
Allowed values:
timestampdatetimeRequired
When this alert was generated in your system, in ISO 8601 format.
is_testbooleanOptionalDefaults to false
If the transaction alert is test data, this should be set to true
check_typeenumOptional
The type of monitoring check that triggered the alert.
Allowed values:
related_check_idstringOptional
Unique identifier for a transaction check for which the alert belongs to.
related_tx_idslist of stringsOptional
Unique identifiers for transactions which the alert relates to.

Response

Transaction alert added successfully
successboolean
Indicates if the write operation was successful.
write_countinteger
The number of records written to the database.
messagestring
Provides additional information about the operation result.
organization_idstring
The organization ID for which the operation was performed.

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error